<?php
/*
 * soyshop.site.beforeoutput.php
 * Created: 2010/03/11
 */
include_once(dirname(__FILE__)."/common.php");
class UtilKeywordCheckBeforeOutput extends SOYShopSiteBeforeOutputAction{

	function beforeOutput($page){
		
		$obj = $page->getPageObject();

		//カートページとマイページでは読み込まない
		if(get_class($obj)!="SOYShop_Page"){
			return;
		}
		
		$keywordCheck = $this->getAttribute();
		
		$page->addModel("keyword_is_hit",array(
			"soy2prefix" => "block",
			"visible" => ($keywordCheck===true)
		));
		
		$page->addModel("keyword_no_hit",array(
			"soy2prefix" => "block",
			"visible" => ($keywordCheck===false || is_null($keywordCheck))
		));
	}
	
	function getAttribute(){
		return UtilKeywordCheckCommon::getKeywordToSession();
	}
}

SOYShopPlugin::extension("soyshop.site.beforeoutput","util_keyword_check","UtilKeywordCheckBeforeOutput");